This document lists the events and parameters for
various types of
Admin Data Action Audit activity events. You can retrieve these events by
calling [Activities.list()](https://developers.google.com/workspace/admin/reports/v1/reference/activities/list)
with `applicationName=admin_data_action`.

## Audit Logging


Events of this type are returned with `type=AUDIT_LOGGING`.

### Removed sensitive content

Sensitive parameters in audit events have been hidden.
Event details Event name `SENSITIVE_AUDIT_EVENTS_HIDDEN` Parameters `APPLICATION_NAME_OF_TARGET_DATA` `string`


Application Name of data which was accessed/hidden/unhidden.
`EVENT_IDS_HIDDEN` `string`


Event IDs that were hidden.
`JUSTIFICATION` `string`


Justification for accessing/hiding/unhiding audit data.
`TIME_USEC_OF_TARGET_DATA` `integer`


Time Usec of data which was accessed/hidden/unhidden.
`UNIQUE_QUALIFIER_HIDDEN` `integer`


Unique qualifier that was hidden.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin_data_action?eventName=SENSITIVE_AUDIT_EVENTS_HIDDEN&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Removed sensitive content for {APPLICATION_NAME_OF_TARGET_DATA}`

### Restored sensitive content

Sensitive parameters in audit events have been unhidden.
Event details Event name `SENSITIVE_AUDIT_EVENTS_UNHIDDEN` Parameters `APPLICATION_NAME_OF_TARGET_DATA` `string`


Application Name of data which was accessed/hidden/unhidden.
`EVENT_IDS_UNHIDDEN` `string`


Event IDs that were unhidden.
`JUSTIFICATION` `string`


Justification for accessing/hiding/unhiding audit data.
`TIME_USEC_OF_TARGET_DATA` `integer`


Time Usec of data which was accessed/hidden/unhidden.
`UNIQUE_QUALIFIER_UNHIDDEN` `integer`


Unique qualifier that was unhidden.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin_data_action?eventName=SENSITIVE_AUDIT_EVENTS_UNHIDDEN&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Restored sensitive content for {APPLICATION_NAME_OF_TARGET_DATA}`

### Viewed sensitive content

Sensitive parameters in audit events have been accessed.
Event details Event name `SENSITIVE_AUDIT_EVENTS_ACCESSED` Parameters `APPLICATION_NAME_OF_TARGET_DATA` `string`


Application Name of data which was accessed/hidden/unhidden.
`EVENT_IDS_ACCESSED` `string`


Event IDs that were accessed.
`FILTERS_APPLIED_IN_QUERY` `string`


Filters that were applied in the query.
`JUSTIFICATION` `string`


Justification for accessing/hiding/unhiding audit data.
`TIME_USEC_OF_TARGET_DATA` `integer`


Time Usec of data which was accessed/hidden/unhidden.
`UNIQUE_QUALIFIER_ACCESSED` `integer`


Unique Qualifier that was accessed.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin_data_action?eventName=SENSITIVE_AUDIT_EVENTS_ACCESSED&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Viewed sensitive content for {APPLICATION_NAME_OF_TARGET_DATA}`